Class | Chef::Provider::Service::Arch
In: | lib/chef/provider/service/arch.rb
Parent: | Chef::Provider::Service::Init

### Methods

daemons disable_service enable_service load_current_resource new update_daemons

### Public Class methods

new(new_resource, run_context)

### Public Instance methods

daemons() {|entries| ...}

Get list of all daemons from the file ’/etc/rc.conf’. Mutiple lines and background form are supported. Example:

      DAEMONS=(   #     foobar    #     @example    #     !net    #   )

disable_service()
enable_service()
load_current_resource()
update_daemons(entries)

FIXME: Multiple entries of DAEMONS will cause very bad results :)

[Validate]